<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" standalone="yes" indent="yes"/>

<xsl:template match="/">
	<HTML xmlns="http://www.w3.org/1999/xhtml">
		<META http-equiv="Content-Style-Type" content="text/css" />
		<HEAD>
			<xsl:comment>load the mktree</xsl:comment>
			<SCRIPT SRC="mktree.js" LANGUAGE="JavaScript"></SCRIPT> 
			<LINK REL="stylesheet" HREF="mktree.css"/>			
		</HEAD>
		<BODY>
			<xsl:apply-templates/>
		</BODY>
	</HTML>
</xsl:template>

<!-- Generate the TOC MKTREE -->
<xsl:template name="Recurse-TOC">
	<xsl:for-each select="*[name]">
		<UL>
			<LI>
				<xsl:value-of select="name"/>
				<xsl:call-template name="Recurse-TOC"/>
			</LI>
		</UL>	
	</xsl:for-each>	
</xsl:template>

<xsl:template match="exports">
<UL class="mktree">
	<LI>Root
		<xsl:call-template name="Recurse-TOC" />
	</LI>
</UL>
</xsl:template>

</xsl:stylesheet>